Subject: Re: [PATCH RESEND bpf v3 0/8] sock_map: some bug fixes and improvements

From: Jakub Sitnicki <[email-masked]>
Date: Sat, 19 Jun 2021 11:57:42 +0200

On Tue, Jun 15, 2021 at 04:13 AM CEST, Cong Wang wrote:
> From: Cong Wang <[email-masked]>
>
> This patchset contains a few bug fixes and improvements for sock_map.
>
> Patch 1 improves recvmsg() accuracy for UDP, patch 2 improves UDP
> non-blocking read() by retrying on EAGAIN. With both of them, the
> failure rate of the UDP test case goes down from 10% to 1%.
>
> Patch 3 is memory leak fix I posted, no change since v1. The rest
> patches address similar memory leaks or improve error handling,
> including one increases sk_drops counter for error cases. Please
> check each patch description for more details.
>
> Acked-by: John Fastabend <[email-masked]>
>
> ---

For the series:

Acked-by: Jakub Sitnicki <[email-masked]>